USBHIDCTL(1)

NAME
usbhidctl - manipulate USB HID devices

SYNOPSIS
usbhidctl [-a] -f device [-l] [-n] [-r] [-t table] [-v] [-x] [item ...]

DESCRIPTION
The usbhidctl utility can be used to dump the state of a USB HID (Human Interface Device). Each named item is printed.

The options are as follows:

-a  Show all items.

-f device
    Specify a path name for the device to operate on.

-l  Loop and dump the device data every time it changes.

-n  Suppress printing of the item name.

-r  Dump the report descriptor.

-t table
    Specify a path name for the HID usage table file.

-v  Be verbose.

-x  Dump data in hexadecimal as well as decimal.

FILES
/usr/share/misc/usb_hid_usages The default HID usage table.

SEE ALSO
usbhid(3), uhid(4), usb(4)

HISTORY
The usbhidctl command appeared in NetBSD 1.4.

BUGS
The usbhidctl utility cannot show nor set output and feature items.